package com.mx.dla.dda.contrato.amortizacion.daos;

import org.apache.ibatis.annotations.Param;

import com.mx.dla.dda.contrato.amortizacion.dtos.AmortizacionDTO;

public interface AmortizacionDAO {

	public void insertarAmortizacion(AmortizacionDTO amortizacion);
	
	public void actualizarAmortizacion(AmortizacionDTO amortizacion);
	
	public void borrarAmortizacion(@Param("idContrato") Long idContrato);
	
	public AmortizacionDTO buscarAmortizacion(@Param("idContrato") Long idContrato );
	
	public void actualizarAmortizacionContrato(@Param("amortizable") String amortizable,@Param("idContrato") Long idContrato );

	
	
	public void insertContratoProceso(@Param("idContrato")Long idContrato, @Param("idAmortizacion")Integer idAmortizacion);
	
	public void updateContratoProceso(@Param("idContrato")Long idContrato, @Param("idAmortizacion")Integer idAmortizacion);
	
	public Integer getContratoProceso   (@Param("idContrato")Long idContrato);
}
